import * as React from "react";
import * as RDialog from "@radix-ui/react-dialog";
//#region src/Dialog.d.ts
declare const Dialog: React.FC<RDialog.DialogProps>;
declare const DialogTrigger: React.ForwardRefExoticComponent<RDialog.DialogTriggerProps & React.RefAttributes<HTMLButtonElement>>;
declare const DialogPortal: React.FC<RDialog.DialogPortalProps>;
declare const DialogClose: React.ForwardRefExoticComponent<RDialog.DialogCloseProps & React.RefAttributes<HTMLButtonElement>>;
declare const DialogTitle: React.ForwardRefExoticComponent<RDialog.DialogTitleProps & React.RefAttributes<HTMLHeadingElement>>;
declare const DialogDescription: React.ForwardRefExoticComponent<RDialog.DialogDescriptionProps & React.RefAttributes<HTMLParagraphElement>>;
declare const DialogContent: React.ForwardRefExoticComponent<Omit<Omit<RDialog.DialogContentProps & React.RefAttributes<HTMLDivElement>, "ref">, "className"> & React.RefAttributes<HTMLDivElement>>;
//#endregion
export { Dialog, DialogClose, DialogContent, DialogDescription, DialogPortal, DialogTitle, DialogTrigger };